Subject: Re: [Bitcoin-development] bitcoin DNS addresses

From: "Luke-Jr" <[email-masked]>
Date: Tue, 26 Jul 2011 00:22:21 -0400

On Monday, July 25, 2011 11:35:34 PM Rick Wesson wrote:
> I started from the premise that I can't remember a bitcoin address but
> I can/do remember email addresses which, as an identity are easy
> labels for humans to remember. The IPv4 address is the metaphor I
> consider. As someone who actually worked on parts of DNSSEC I do
> believe in it -- and that it offers reasonable security for
> transactions.

1. Right now you practically need a unique Bitcoin address per transaction.
2. DNSSEC is on the edge of becoming illegal in the US.
3. Emails aren't merely domains.

I would propose something like resolving [email-masked] to a SRV lookup for 
_bitcoinaddressresolution._tcp.foo.bar.net, expecting a cert for bar.net, 
making a HTTPS request for /bitcoinaddressresolution?[email-masked], and also 
sending an email to [email-masked] (the usual way) signed with the keys used for 
the transaction. ;)